<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Fileli
 */
$subs = get_category_by_slug('subs')->cat_ID . ',' . get_category_by_slug('home')->cat_ID;
get_header();
?>
<header id="sectionHeader">
<?php
      printf( '<h1 class="page-title">%s</h1>', get_the_title( get_option('page_for_posts', true) ) );
?>
</header>
<div id="primary" class="content-area">
    <nav class="categorymenu" id="secondarymenu">
<?php printf( __( '<h2 class="archive-title">Categorie <a href="%s" title="Archivio">%s</a></h2>', 'fileli'), get_permalink( get_option('page_for_posts', true) ), get_the_title( get_option('page_for_posts', true) ) ); ?>
      <ul>
<?php 
    $args = current_user_can('edit_posts') ? array(
      'title_li' => '', 
      'hide_empty' => false,
      'exclude' => $subs
    ) : array(
      'title_li' => '', 
      'exclude' => '1,' . $subs
    );
    wp_list_categories( $args );
  ?>
      </ul>
    </nav>
  <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<?php
  if (current_user_can('edit_posts')) {
  $mycats = get_the_category();
//       echo "<pre>";print_r($mycats);echo "</pre>";
  $postcats = '';
  $postcatnames = '';
  foreach ($mycats as $cat) {
    $postcats .= $cat->slug . ',';
    $postcatnames .= $cat->name . ', ';
  }
  $postcats = substr($postcats, 0 , -1);
  $postcatnames = substr($postcatnames, 0 , -2);
?>
      <div class="admin-element">
        <a href="/help/articoli" class="aio-icon help-link"><?php esc_html_e( 'New post?', 'fileli' ); ?></a>
        <a href="/wp-admin/post-new.php?post_type=post&post_cat=<?php echo esc_html($postcats); ?>" class="edit-link"><?php esc_html_e( 'Insert new post', 'fileli' ); ?></a>
        <span class="aio-note"><?php if (count($mycats)>1) {
            esc_html_e( 'This new post will classified in the categories:', 'fileli' );
          } else {
             esc_html_e( 'This new post will classified in the category', 'fileli' );
         } ?> "<strong><?php echo $postcatnames; ?></strong>".</span>
      </div>
<?php 
  }
  if ( is_singular() ) :
    the_title( '<h2 class="entry-title">', '</h2>' );
  endif;

  while ( have_posts() ) :
    the_post();

    get_template_part( 'template-parts/content', get_post_type() );

//			the_post_navigation();

    // If comments are open or we have at least one comment, load up the comment template.
    if ( comments_open() || get_comments_number() ) :
      comments_template();
    endif;
  endwhile; // End of the loop.
?>
    </article><!-- #post-<?php the_ID(); ?> -->
<?php
  get_sidebar();
?>
</div><!-- #primary -->
<?php
  get_footer();
?>