<?php 
/*
Template Name: PAGINA help
*/
/**
 * Il modello per visualizzare due colonne
 * 1. Menu sezione
 * 2. Contenuto
 * 3. Sidebar
 */

/* Vai alla prima pagina figlia se questa pagina è senza contenuti */
  $pagekids = get_pages("child_of=".$post->ID."&sort_column=menu_order");
  if ($pagekids && empty($post->post_content)) {
    $firstchild = $pagekids[0];
    wp_redirect(get_permalink($firstchild->ID));
  }
  set_query_var( 'toplevel_class', 'aio-help' );
  get_header();
?>
  <header id="sectionHeader">
<?php 
  if ( is_page() && $post->post_parent ) {
      $parents = get_post_ancestors( $post->ID );
      $toplevel_parent_id = ($parents) ? $parents[count($parents)-1]: $post->ID;
      $toplevel_parent = get_post($toplevel_parent_id);
      $title = $toplevel_parent->post_title;
      echo '<h1 class="section-title"><a href="' . esc_url( get_permalink( $toplevel_parent_id ) ) . '">' . $title . '</a></h1>'; 
  } else {
      $toplevel_parent_id = $post->ID;
      the_title( '<h1 class="section-title">', '</h1>' ); 
  }
?>
  </header>
  <div id="primary" class="content-area">
    <nav class="secondarymenu" id="secondarymenu">
    <ul>
<?php
    wp_list_pages( array(
      'title_li' => NULL,
      'child_of' => $toplevel_parent_id,
      'sort_column' => 'menu_order',
      'post_status' => array( 'publish', 'private' ),
      'link_after' => '<span></span>'
    ));
?>
    </ul>
    </nav>
    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<?php
  while ( have_posts() ) :
    the_post();
    set_query_var( 'toplevel_parent_id', absint( $toplevel_parent_id ) );
    set_query_var( 'is_help', true );
    get_template_part( 'template-parts/content', 'page' );
  endwhile; // End of the loop.
?>
    </article><!-- #post-<?php the_ID(); ?> -->
<?php
    get_sidebar();
?>
  </div><!-- #primary -->
<?php
  get_footer();
?>
